Loading...
Searching...
No Matches
mce::io::Logger Class Reference

## Public Member Functions

| Logger (QEventBus &qBus, std::string_view name, bool createStdoutSink=true)
void | addSink (const eastl::shared_ptr< LoggerSink > &sink)
void | log (LogLevel level, std::string_view message, eastl::optional< std::source_location > location=eastl::nullopt)
template<typename... Args>
void | info (std::format_string< Args... > format, Args &&... args)
template<typename... Args>
void | warn (std::format_string< Args... > format, Args &&... args)
template<typename... Args>
void | error (std::format_string< Args... > format, Args &&... args)
template<typename... Args>
void | debug (std::format_string< Args... > format, Args &&... args)
template<typename... Args>
void | info_trace (const std::source_location &location, std::format_string< Args... > format, Args &&... args)
template<typename... Args>
void | warn_trace (const std::source_location &location, std::format_string< Args... > format, Args &&... args)
template<typename... Args>
void | error_trace (const std::source_location &location, std::format_string< Args... > format, Args &&... args)
template<typename... Args>
void | debug_trace (const std::source_location &location, std::format_string< Args... > format, Args &&... args)

## Static Public Member Functions

static Logger & | getGlobalLogger (QEventBus &qBus)

The documentation for this class was generated from the following files:

- Minecraft-Community-Edition/IO/Logger.hpp
- Minecraft-Community-Edition/IO/Logger.cpp